import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { PatientStatusSchema } from '../enums/PatientStatus.schema'

const makeSchema = () => z.object({
  id: z.number().int().optional(),
  patientId: z.number().int(),
  userId: z.number().int(),
  title: z.string(),
  date: z.coerce.date(),
  startTime: z.string(),
  endTime: z.string(),
  type: z.string(),
  typeLocked: z.boolean().optional(),
  notes: z.string().optional().nullable(),
  procedureCodeNotes: z.string().optional().nullable(),
  status: z.string().optional(),
  movedByAi: z.boolean().optional(),
  createdAt: z.coerce.date().optional(),
  eligibilityStatus: PatientStatusSchema.optional()
}).strict();
export const AppointmentCreateManyStaffInputObjectSchema: z.ZodType<Prisma.AppointmentCreateManyStaffInput> = makeSchema() as unknown as z.ZodType<Prisma.AppointmentCreateManyStaffInput>;
export const AppointmentCreateManyStaffInputObjectZodSchema = makeSchema();
